diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/three-gpp-http-server.h ns-3.44/src/applications/model/three-gpp-http-server.h
--- ns-3.43/src/applications/model/three-gpp-http-server.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/three-gpp-http-server.h	2025-03-09 16:55:49.347370900 -0700
@@ -10,17 +10,18 @@
 #ifndef THREE_GPP_HTTP_SERVER_H
 #define THREE_GPP_HTTP_SERVER_H
 
+#include "sink-application.h"
 #include "three-gpp-http-header.h"
 
-#include <ns3/address.h>
-#include <ns3/application.h>
-#include <ns3/event-id.h>
-#include <ns3/nstime.h>
-#include <ns3/ptr.h>
-#include <ns3/simple-ref-count.h>
-#include <ns3/traced-callback.h>
+#include "ns3/address.h"
+#include "ns3/event-id.h"
+#include "ns3/nstime.h"
+#include "ns3/ptr.h"
+#include "ns3/simple-ref-count.h"
+#include "ns3/traced-callback.h"
 
 #include <map>
+#include <optional>
 #include <ostream>
 
 namespace ns3
@@ -32,7 +33,7 @@
 class ThreeGppHttpServerTxBuffer;
 
 /**
- * \ingroup http
+ * @ingroup http
  * Model application which simulates the traffic of a web server. This
  * application works in conjunction with ThreeGppHttpClient applications.
  *
@@ -54,9 +55,11 @@
  * The application accepts connection request from clients. Every connection is
  * kept open until the client disconnects.
  */
-class ThreeGppHttpServer : public Application
+class ThreeGppHttpServer : public SinkApplication
 {
   public:
+    static constexpr uint16_t HTTP_DEFAULT_PORT{80}; //!< default HTTP port
+
     /**
      * Creates a new instance of HTTP server application.
      *
@@ -72,7 +75,7 @@
 
     /**
      * Returns the object TypeId.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -83,13 +86,13 @@
      * application is created. Values other than the standard 536 and 1460 bytes
      * can be set using this method.
      *
-     * \param mtuSize MTU size in bytes.
+     * @param mtuSize MTU size in bytes.
      */
     void SetMtuSize(uint32_t mtuSize);
 
     /**
      * Returns a pointer to the listening socket.
-     * \return Pointer to the listening socket
+     * @return Pointer to the listening socket
      */
     Ptr<Socket> GetSocket() const;
 
@@ -103,35 +106,35 @@
 
     /**
      * Returns the current state of the application.
-     * \return The current state of the application.
+     * @return The current state of the application.
      */
     State_t GetState() const;
 
     /**
      * Returns the current state of the application in string format.
-     * \return The current state of the application in string format.
+     * @return The current state of the application in string format.
      */
     std::string GetStateString() const;
 
     /**
      * Returns the given state in string format.
-     * \param state An arbitrary state of an application.
-     * \return The given state equivalently expressed in string format.
+     * @param state An arbitrary state of an application.
+     * @return The given state equivalently expressed in string format.
      */
     static std::string GetStateString(State_t state);
 
     /**
      * Common callback signature for `MainObject` and `EmbeddedObject` trace
      * sources.
-     * \param size Size of the generated object in bytes.
+     * @param size Size of the generated object in bytes.
      */
     typedef void (*ThreeGppHttpObjectCallback)(uint32_t size);
 
     /**
      * Callback signature for `ConnectionEstablished` trace source.
-     * \param httpServer Pointer to this instance of ThreeGppHttpServer, which is where
+     * @param httpServer Pointer to this instance of ThreeGppHttpServer, which is where
      *                   the trace originated.
-     * \param socket Pointer to the socket where the connection is established.
+     * @param socket Pointer to the socket where the connection is established.
      */
     typedef void (*ConnectionEstablishedCallback)(Ptr<const ThreeGppHttpServer> httpServer,
                                                   Ptr<Socket> socket);
@@ -142,35 +145,37 @@
   private:
     void StartApplication() override;
     void StopApplication() override;
+    void SetLocal(const Address& addr) override;
+    void SetPort(uint32_t port) override;
 
     // SOCKET CALLBACK METHODS
 
     /**
      * Invoked when #m_initialSocket receives a connection request.
-     * \param socket Pointer to the socket where the event originates from.
-     * \param address The address of the remote client where the connection
+     * @param socket Pointer to the socket where the event originates from.
+     * @param address The address of the remote client where the connection
      *                request comes from.
-     * \return Always true, to indicate to the other end that the connection
+     * @return Always true, to indicate to the other end that the connection
      *         request is accepted.
      */
     bool ConnectionRequestCallback(Ptr<Socket> socket, const Address& address);
     /**
      * Invoked when a new connection has been established.
-     * \param socket Pointer to the socket that maintains the connection to the
+     * @param socket Pointer to the socket that maintains the connection to the
      *               remote client. This socket will be saved to the Tx buffer.
-     * \param address The address the connection is incoming from.
+     * @param address The address the connection is incoming from.
      */
     void NewConnectionCreatedCallback(Ptr<Socket> socket, const Address& address);
     /**
      * Invoked when a connection with a web client is terminated. The
      * corresponding socket will be removed from Tx buffer.
-     * \param socket Pointer to the socket where the event originates from.
+     * @param socket Pointer to the socket where the event originates from.
      */
     void NormalCloseCallback(Ptr<Socket> socket);
     /**
      * Invoked when a connection with a web client is terminated. The
      * corresponding socket will be removed from Tx buffer.
-     * \param socket Pointer to the socket where the event originates from.
+     * @param socket Pointer to the socket where the event originates from.
      */
     void ErrorCloseCallback(Ptr<Socket> socket);
     /**
@@ -180,15 +185,15 @@
      * Depending on the type of object requested, the method will trigger
      * ServeMainObject() or ServeEmbeddedObject() after some delays.
      *
-     * \param socket Pointer to the socket where the event originates from.
+     * @param socket Pointer to the socket where the event originates from.
      */
     void ReceivedDataCallback(Ptr<Socket> socket);
     /**
      * Invoked when more buffer space for transmission is added to a socket. The
      * method will invoke ServeFromTxBuffer() to start some transmission using
      * the socket.
-     * \param socket Pointer to the socket where the event originates from.
-     * \param availableBufferSize The number of bytes available in the socket's
+     * @param socket Pointer to the socket where the event originates from.
+     * @param availableBufferSize The number of bytes available in the socket's
      *                            transmission buffer.
      */
     void SendCallback(Ptr<Socket> socket, uint32_t availableBufferSize);
@@ -202,7 +207,7 @@
      * Fires the `MainObject` trace source. It then immediately triggers
      * ServeFromTxBuffer() to send the object.
      *
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               destination client.
      */
     void ServeNewMainObject(Ptr<Socket> socket);
@@ -213,7 +218,7 @@
      * Fires the `EmbeddedObject` trace source. It then immediately triggers
      * ServeFromTxBuffer() to send the object.
      *
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               destination client.
      */
     void ServeNewEmbeddedObject(Ptr<Socket> socket);
@@ -232,15 +237,15 @@
      * the socket informs (through SendCallback()) that more buffer space for
      * transmission has become available.
      *
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               destination client.
-     * \return Size of the packet sent (in bytes).
+     * @return Size of the packet sent (in bytes).
      */
     uint32_t ServeFromTxBuffer(Ptr<Socket> socket);
 
     /**
      * Change the state of the server. Fires the `StateTransition` trace source.
-     * \param state The new state.
+     * @param state The new state.
      */
     void SwitchToState(State_t state);
 
@@ -255,10 +260,11 @@
 
     /// The `Variables` attribute.
     Ptr<ThreeGppHttpVariables> m_httpVariables;
-    /// The `LocalAddress` attribute.
-    Address m_localAddress;
     /// The `LocalPort` attribute.
-    uint16_t m_localPort;
+    /// Note: this is a trick needed because we have 2 ports attributes, Port and LocalPort, where
+    /// the latter is deprecated and hence this will actually go away once we can remove deprecated
+    /// attributes and code.
+    std::optional<uint16_t> m_optPort;
     /// The `Tos` attribute.
     uint8_t m_tos;
     /// The `Mtu` attribute.
@@ -276,6 +282,8 @@
     TracedCallback<Ptr<const Packet>> m_txTrace;
     /// The `Rx` trace source.
     TracedCallback<Ptr<const Packet>, const Address&> m_rxTrace;
+    /// The `Rx` trace source with the local address.
+    TracedCallback<Ptr<const Packet>, const Address&, const Address&> m_rxTraceWithAddresses;
     /// The `RxDelay` trace source.
     TracedCallback<const Time&, const Address&> m_rxDelayTrace;
     /// The `StateTransition` trace source.
@@ -284,8 +292,8 @@
 }; // end of `class ThreeGppHttpServer`
 
 /**
- * \internal
- * \ingroup http
+ * @internal
+ * @ingroup http
  * Transmission buffer used by an HTTP server instance.
  *
  * The class handles the sockets which face the connected HTTP clients. An
@@ -312,8 +320,8 @@
      * buffers. On the other hand, all the other methods that accept a pointer to
      * a socket as an argument require the existence of a buffer allocated to the
      * given socket.
-     * \param socket Pointer to the socket to be found.
-     * \return True if the given socket is found within the buffer.
+     * @param socket Pointer to the socket to be found.
+     * @return True if the given socket is found within the buffer.
      */
     bool IsSocketAvailable(Ptr<Socket> socket) const;
 
@@ -321,9 +329,9 @@
      * Add a new socket and create an empty transmission buffer for it. After the
      * method is completed, IsSocketAvailable() for the same pointer of socket
      * shall return true.
-     * \param socket Pointer to the new socket to be added (must not exist in the
+     * @param socket Pointer to the new socket to be added (must not exist in the
      *               buffer).
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is false.
      */
     void AddSocket(Ptr<Socket> socket);
@@ -340,8 +348,8 @@
      * After the method is completed, IsSocketAvailable() for the same pointer of
      * socket shall return false.
      *
-     * \param socket Pointer to the socket to be removed.
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @param socket Pointer to the socket to be removed.
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      */
     void RemoveSocket(Ptr<Socket> socket);
@@ -357,8 +365,8 @@
      * After the method is completed, IsSocketAvailable() for the same pointer of
      * socket shall return false.
      *
-     * \param socket Pointer to the socket to be closed and removed.
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @param socket Pointer to the socket to be closed and removed.
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      */
     void CloseSocket(Ptr<Socket> socket);
@@ -371,19 +379,19 @@
     // BUFFER MANAGEMENT
 
     /**
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               transmission buffer of interest.
-     * \return True if the current length of the transmission buffer is zero,
+     * @return True if the current length of the transmission buffer is zero,
      *         i.e., no pending packet.
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      */
     bool IsBufferEmpty(Ptr<Socket> socket) const;
 
     /**
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               transmission buffer of interest
-     * \return The client time stamp that comes from the last request packet
+     * @return The client time stamp that comes from the last request packet
      *         received by the given socket. It indicates the time the request
      *         packet was transmitted by the client.
      */
@@ -393,31 +401,31 @@
      * Returns ThreeGppHttpHeader::NOT_SET when the buffer is new and never been filled
      * with any data before. Otherwise, returns either ThreeGppHttpHeader::MAIN_OBJECT
      * or ThreeGppHttpHeader::EMBEDDED_OBJECT.
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               transmission buffer of interest
-     * \return The content type of the current data inside the transmission
+     * @return The content type of the current data inside the transmission
      *         buffer.
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      */
     ThreeGppHttpHeader::ContentType_t GetBufferContentType(Ptr<Socket> socket) const;
 
     /**
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               transmission buffer of interest
-     * \return The length (in bytes) of the current data inside the transmission
+     * @return The length (in bytes) of the current data inside the transmission
      *         buffer.
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      */
     uint32_t GetBufferSize(Ptr<Socket> socket) const;
 
     /**
-     * \param socket pointer to the socket which is associated with the
+     * @param socket pointer to the socket which is associated with the
      *               transmission buffer of interest
-     * \return true if the buffer content has been read since it is written
+     * @return true if the buffer content has been read since it is written
      *
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      *
      * This method returns true after WriteNewObject() method is called. It
@@ -432,13 +440,13 @@
      * The stored data can be later consumed wholly of partially by
      * DepleteBufferSize() method.
      *
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               transmission buffer of interest.
-     * \param contentType The content-type of the data to be written (must not
+     * @param contentType The content-type of the data to be written (must not
      *                    equal to ThreeGppHttpHeader:NOT_SET).
-     * \param objectSize The length (in bytes) of the new object to be created
+     * @param objectSize The length (in bytes) of the new object to be created
      *                   (must be greater than zero).
-     * \warning Must be called only when both IsSocketAvailable() and
+     * @warning Must be called only when both IsSocketAvailable() and
      *          IsBufferEmpty() for the given socket are true.
      */
     void WriteNewObject(Ptr<Socket> socket,
@@ -452,13 +460,13 @@
      * The method also indicates the time stamp given by the client. The time
      * stamp will be included in every packet sent.
      *
-     * \param socket pointer to the socket which is associated with the
+     * @param socket pointer to the socket which is associated with the
      *               transmission buffer of interest
-     * \param eventId the event to be recorded, e.g., the return value of
+     * @param eventId the event to be recorded, e.g., the return value of
      *                Simulator::Schedule function
-     * \param clientTs client time stamp
+     * @param clientTs client time stamp
      *
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      */
     void RecordNextServe(Ptr<Socket> socket, const EventId& eventId, const Time& clientTs);
@@ -472,12 +480,12 @@
      * If the method has consumed all the remaining bytes within the buffer,
      * IsBufferEmpty() for the buffer shall return true.
      *
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               transmission buffer of interest.
-     * \param amount The length (in bytes) to be consumed (must be greater than
+     * @param amount The length (in bytes) to be consumed (must be greater than
      *               zero).
      *
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true. In addition, the requested amount must be larger than
      *          the current buffer size, which can be checked by calling the
      *          GetBufferSize() method.
@@ -487,9 +495,9 @@
     /**
      * Tell the buffer to close the associated socket once the buffer becomes
      * empty.
-     * \param socket Pointer to the socket which is associated with the
+     * @param socket Pointer to the socket which is associated with the
      *               transmission buffer of interest.
-     * \warning Must be called only when IsSocketAvailable() for the given socket
+     * @warning Must be called only when IsSocketAvailable() for the given socket
      *          is true.
      */
     void PrepareClose(Ptr<Socket> socket);
@@ -529,7 +537,7 @@
          */
         bool isClosing;
         /**
-         * \brief True if the buffer content has been read since it is written.
+         * @brief True if the buffer content has been read since it is written.
          *        Accessible using the HasTxedPartOfObject() method.
          */
         bool hasTxedPartOfObject;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/three-gpp-http-variables.cc ns-3.44/src/applications/model/three-gpp-http-variables.cc
--- ns-3.43/src/applications/model/three-gpp-http-variables.cc	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/three-gpp-http-variables.cc	2025-03-09 16:55:49.347370900 -0700
@@ -9,9 +9,9 @@
 
 #include "three-gpp-http-variables.h"
 
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/uinteger.h>
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/uinteger.h"
 
 #include <math.h>
 
@@ -298,18 +298,17 @@
 ThreeGppHttpVariables::AssignStreams(int64_t stream)
 {
     NS_LOG_FUNCTION(this << stream);
-
-    m_mtuSizeRng->SetStream(stream);
-    m_requestSizeRng->SetStream(stream + 1);
-    m_mainObjectGenerationDelayRng->SetStream(stream + 2);
-    m_mainObjectSizeRng->SetStream(stream + 3);
-    m_embeddedObjectGenerationDelayRng->SetStream(stream + 4);
-    m_embeddedObjectSizeRng->SetStream(stream + 5);
-    m_numOfEmbeddedObjectsRng->SetStream(stream + 6);
-    m_readingTimeRng->SetStream(stream + 7);
-    m_parsingTimeRng->SetStream(stream + 8);
-
-    return 9;
+    auto currentStream = stream;
+    m_mtuSizeRng->SetStream(currentStream++);
+    m_requestSizeRng->SetStream(currentStream++);
+    m_mainObjectGenerationDelayRng->SetStream(currentStream++);
+    m_mainObjectSizeRng->SetStream(currentStream++);
+    m_embeddedObjectGenerationDelayRng->SetStream(currentStream++);
+    m_embeddedObjectSizeRng->SetStream(currentStream++);
+    m_numOfEmbeddedObjectsRng->SetStream(currentStream++);
+    m_readingTimeRng->SetStream(currentStream++);
+    m_parsingTimeRng->SetStream(currentStream++);
+    return (currentStream - stream);
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/applications/model/three-gpp-http-variables.h ns-3.44/src/applications/model/three-gpp-http-variables.h
--- ns-3.43/src/applications/model/three-gpp-http-variables.h	2024-10-09 16:41:09.848655700 -0700
+++ ns-3.44/src/applications/model/three-gpp-http-variables.h	2025-03-09 16:55:49.347370900 -0700
@@ -10,15 +10,15 @@
 #ifndef THREE_GPP_HTTP_VARIABLES_H
 #define THREE_GPP_HTTP_VARIABLES_H
 
-#include <ns3/nstime.h>
-#include <ns3/object.h>
-#include <ns3/random-variable-stream.h>
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/random-variable-stream.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup http
+ * @ingroup http
  * Container of various random variables to assist in generating web browsing
  * traffic pattern.
  *
@@ -28,20 +28,20 @@
  *   - delay in generating a main object --- 0 second;
  *   - main object size --- truncated LogNormal distribution with a mean of
  *     10710 bytes;
- *     \image html http-main-object-size.png
+ *     @image html http-main-object-size.png
  *   - delay in generating an embedded object --- 0 second;
  *   - embedded object size (in bytes) --- truncated LogNormal distribution
  *     with a mean of 7758 bytes;
- *     \image html http-embedded-object-size.png
+ *     @image html http-embedded-object-size.png
  *   - number of embedded object per web page --- truncated Pareto distribution
  *     with a mean of approximately 3.95 (after truncation);
- *     \image html http-num-of-embedded-objects.png
+ *     @image html http-num-of-embedded-objects.png
  *   - length of reading time (in seconds) --- unbounded exponential
  *     distribution with a mean of 30 seconds; and
- *     \image html http-reading-time.png
+ *     @image html http-reading-time.png
  *   - length of parsing time (in seconds) --- unbounded exponential
  *     distribution with a mean of 0.13 seconds.
- *     \image html http-parsing-time.png
+ *     @image html http-parsing-time.png
  *
  * Most parameters of the random distributions are configurable via attributes
  * and methods of this class. The default values are according to the following
@@ -62,7 +62,7 @@
 
     /**
      * Returns the object TypeId.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -74,7 +74,7 @@
      * of HTTP servers to send the response packets (both main objects and
      * embedded objects) to the requesting HTTP clients.
      *
-     * \return MTU size in bytes.
+     * @return MTU size in bytes.
      */
     uint32_t GetMtuSize();
 
@@ -86,7 +86,7 @@
      * method. This value applies to requests by HTTP client for main objects
      * and embedded objects alike.
      *
-     * \return Request size in bytes.
+     * @return Request size in bytes.
      */
     uint32_t GetRequestSize();
 
@@ -98,7 +98,7 @@
      * can be modified by setting the `MainObjectGenerationDelay` attribute or by
      * calling the SetMainObjectGenerationDelay() method.
      *
-     * \return The delay for generating a main object.
+     * @return The delay for generating a main object.
      */
     Time GetMainObjectGenerationDelay();
 
@@ -111,7 +111,7 @@
      * then truncated to fit between 100 bytes and 2 MB. These default settings
      * can be modified via attributes or class methods.
      *
-     * \return Main object size in bytes.
+     * @return Main object size in bytes.
      */
     uint32_t GetMainObjectSize();
 
@@ -123,7 +123,7 @@
      * This can be modified by setting the `EmbeddedObjectGenerationDelay`
      * attribute or by calling the SetEmbeddedObjectGenerationDelay() method.
      *
-     * \return The delay for generating an embedded object.
+     * @return The delay for generating an embedded object.
      */
     Time GetEmbeddedObjectGenerationDelay();
 
@@ -137,7 +137,7 @@
      * bytes, and then truncated to fit between 50 bytes and 2 MB. These default
      * settings can be modified via attributes or class methods.
      *
-     * \return Embedded object size in bytes.
+     * @return Embedded object size in bytes.
      */
     uint32_t GetEmbeddedObjectSize();
 
@@ -151,7 +151,7 @@
      * settings produces (after truncation) random integers within [0, 53)
      * interval, with an actual mean of approximately 3.95.
      *
-     * \return The number of embedded objects.
+     * @return The number of embedded objects.
      */
     uint32_t GetNumOfEmbeddedObjects();
 
@@ -164,7 +164,7 @@
      * without any maximum bound. The mean can be modified by setting the
      * `ReadingTimeMean` attribute or by calling the SetReadingTimeMean() method.
      *
-     * \return Time interval for reading a web page.
+     * @return Time interval for reading a web page.
      */
     Time GetReadingTime();
 
@@ -178,7 +178,7 @@
      * any maximum bound. The mean can be modified by setting the
      * `ParsingTimeMean` attribute or by calling the SetParsingTimeMean() method.
      *
-     * \return time interval for parsing a main object
+     * @return time interval for parsing a main object
      */
     Time GetParsingTime();
 
@@ -192,75 +192,75 @@
      * which use the same stream number should produce identical results (the
      * repeatability property of ns-3 simulation).
      *
-     * \param stream The first stream index to use.
-     * \return The number of stream indices assigned by this model.
+     * @param stream The first stream index to use.
+     * @return The number of stream indices assigned by this model.
      */
     int64_t AssignStreams(int64_t stream);
 
     // SETTER METHODS
 
     /**
-     * \param constant Request size in bytes.
+     * @param constant Request size in bytes.
      */
     void SetRequestSize(uint32_t constant);
     /**
-     * \param constant The delay for generating a main object.
+     * @param constant The delay for generating a main object.
      */
     void SetMainObjectGenerationDelay(Time constant);
     /**
-     * \param mean The mean of main object sizes in bytes. Must be greater than
+     * @param mean The mean of main object sizes in bytes. Must be greater than
      *             zero.
      */
     void SetMainObjectSizeMean(uint32_t mean);
     /**
-     * \param stdDev The standard deviation of main object sizes in bytes.
+     * @param stdDev The standard deviation of main object sizes in bytes.
      */
     void SetMainObjectSizeStdDev(uint32_t stdDev);
     /**
-     * \param constant The delay for generating an embedded object.
+     * @param constant The delay for generating an embedded object.
      */
     void SetEmbeddedObjectGenerationDelay(Time constant);
     /**
-     * \param mean The mean of embedded object sizes in bytes. Must be greater
+     * @param mean The mean of embedded object sizes in bytes. Must be greater
      *             than zero.
      */
     void SetEmbeddedObjectSizeMean(uint32_t mean);
     /**
-     * \param stdDev The standard deviation of embedded object sizes in bytes.
+     * @param stdDev The standard deviation of embedded object sizes in bytes.
      */
     void SetEmbeddedObjectSizeStdDev(uint32_t stdDev);
     /**
-     * \param max The upper bound parameter of the Pareto distribution for
+     * @param max The upper bound parameter of the Pareto distribution for
      *            determining the number of embedded objects per web page.
      */
     void SetNumOfEmbeddedObjectsMax(uint32_t max);
     /**
-     * \param shape The shape parameter of the Pareto distribution for
+     * @param shape The shape parameter of the Pareto distribution for
      *              determining the number of embedded objects per web page.
      */
     void SetNumOfEmbeddedObjectsShape(double shape);
     /**
-     * \param scale The scale parameter of the Pareto distribution for
+     * @param scale The scale parameter of the Pareto distribution for
      *              determining the number of embedded objects per web page.
      */
     void SetNumOfEmbeddedObjectsScale(uint32_t scale);
     /**
-     * \param mean The mean length of time needed for reading a web page.
+     * @param mean The mean length of time needed for reading a web page.
      */
     void SetReadingTimeMean(Time mean);
     /**
-     * \param mean The mean length of time needed for parsing a main object.
+     * @param mean The mean length of time needed for parsing a main object.
      */
     void SetParsingTimeMean(Time mean);
 
   private:
     /**
-     * \brief Upon and after object initialization, update random variable
+     * @brief Upon and after object initialization, update random variable
      * Mu and Sigma based on changes to attribute values.
      */
     void UpdateMainObjectMuAndSigma();
     /**
-     * \brief Upon and after object initialization, update random variable
+     * @brief Upon and after object initialization, update random variable
      * Mu and Sigma based on changes to attribute values.
      */
     void UpdateEmbeddedObjectMuAndSigma();
